### Method

# Ide EditorPage set_language

#### Declaration

    void
    ide_editor_page_set_language (
      IdeEditorPage* self,
      GtkSourceLanguage* language
    )

#### Description

This is a convenience function to set the language on the underlying `IdeBuffer` text buffer.

Available since: | 3.32

#### Parameters

`language` | `GtkSourceLanguage`
| No description available.
| The data is owned by the caller of the function.